Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(69)

Issue 1564983003: MSE: Log a warning if muxed AV media segment has no A or has no V block (Closed)

Created:
3 years, 2 months ago by wolenetz
Modified:
3 years, 1 month ago
Reviewers:
chcunningham
CC:
chromium-reviews, feature-media-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

MSE: Log a warning if muxed AV media segment has no A or has no V block To simplify debugging multiple discontinuity detection edge cases related to the upcoming relaxation of the "media segments must begin with keyframe" requirement in Chrome, this change introduces chrome://media-internals debug log messages when either the audio or video track has no coded frames within a media segment (for a muxed A/V SourceBuffer). A previously redundant and now complicating call to the end of segment callback in the WebM stream parser's Flush() is removed, and the comment for interface StreamParser::Flush() is corrected to not refer to "Seek". BUG=229412, 542375 R=chcunningham@chromium.org TEST=ChunkDemuxerTests Committed: https://crrev.com/8d425ee590b8902b18a095c865e23470d6a176d7 Cr-Commit-Position: refs/heads/master@{#370281}

Patch Set 1 #

Total comments: 29

Patch Set 2 : Rebased onto strict MockMediaLog test CL #

Patch Set 3 : Rebased onto PS3 of https://codereview.chromium.org/1581003002/# #

Patch Set 4 : Rebased onto ToT. Next step is to change err to just warning. #

Patch Set 5 : Due to push-back on MSE spec PR43, change error to capped warning #

Patch Set 6 : Addressed previous CR comments #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+358 lines, -148 lines) Patch
M media/base/stream_parser.h View 1 2 3 4 2 chunks +8 lines, -4 lines 0 comments Download
M media/filters/chunk_demuxer_unittest.cc View 1 2 3 4 5 53 chunks +297 lines, -129 lines 2 comments Download
M media/filters/media_source_state.h View 1 2 3 4 2 chunks +10 lines, -0 lines 0 comments Download
M media/filters/media_source_state.cc View 1 2 3 4 5 5 chunks +30 lines, -0 lines 0 comments Download
M media/formats/mp2t/mp2t_stream_parser.h View 2 chunks +2 lines, -2 lines 0 comments Download
M media/formats/mp2t/mp2t_stream_parser.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/formats/mp4/mp4_stream_parser.h View 2 chunks +2 lines, -2 lines 0 comments Download
M media/formats/mp4/mp4_stream_parser.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M media/formats/mpeg/mpeg_audio_stream_parser_base.h View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M media/formats/mpeg/mpeg_audio_stream_parser_base.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M media/formats/webm/webm_stream_parser.h View 2 chunks +2 lines, -2 lines 0 comments Download
M media/formats/webm/webm_stream_parser.cc View 1 2 3 4 2 chunks +2 lines, -4 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 22 (11 generated)
wolenetz
chcunningham@: Please take a look. I still need to switch to StrickMock<MockMediaLog> in ChunkDemuxerTests, clean ...
3 years, 2 months ago (2016-01-07 00:45:24 UTC) #1
chcunningham
Minor fb. https://codereview.chromium.org/1564983003/diff/1/media/filters/chunk_demuxer.cc File media/filters/chunk_demuxer.cc (right): https://codereview.chromium.org/1564983003/diff/1/media/filters/chunk_demuxer.cc#newcode368 media/filters/chunk_demuxer.cc:368: void SourceState::ResetParserState(TimeDelta append_window_start, Should you set media_segment_contained_{video|audio}_frame_ ...
3 years, 2 months ago (2016-01-07 22:23:57 UTC) #2
wolenetz
Nothing new to review yet. Just quick replies as I work on a further prereq ...
3 years, 2 months ago (2016-01-07 22:37:09 UTC) #3
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1564983003/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1564983003/100001
3 years, 2 months ago (2016-01-16 01:23:28 UTC) #11
wolenetz
Please take a look at patch set 6. Notably, I've reverted back from emitting decode ...
3 years, 2 months ago (2016-01-16 01:23:36 UTC) #12
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 2 months ago (2016-01-16 02:31:44 UTC) #14
chcunningham
lgtm https://codereview.chromium.org/1564983003/diff/100001/media/filters/chunk_demuxer_unittest.cc File media/filters/chunk_demuxer_unittest.cc (right): https://codereview.chromium.org/1564983003/diff/100001/media/filters/chunk_demuxer_unittest.cc#newcode3519 media/filters/chunk_demuxer_unittest.cc:3519: 0x1A, 0x45, 0xDF, 0xA3, 0x8A, Is this part ...
3 years, 1 month ago (2016-01-20 00:40:59 UTC) #15
wolenetz
Thanks for review. I'll send to CQ shortly. https://codereview.chromium.org/1564983003/diff/100001/media/filters/chunk_demuxer_unittest.cc File media/filters/chunk_demuxer_unittest.cc (right): https://codereview.chromium.org/1564983003/diff/100001/media/filters/chunk_demuxer_unittest.cc#newcode3519 media/filters/chunk_demuxer_unittest.cc:3519: 0x1A, ...
3 years, 1 month ago (2016-01-20 00:45:48 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1564983003/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1564983003/100001
3 years, 1 month ago (2016-01-20 00:49:03 UTC) #18
commit-bot: I haz the power
Committed patchset #6 (id:100001)
3 years, 1 month ago (2016-01-20 02:20:33 UTC) #20
commit-bot: I haz the power
3 years, 1 month ago (2016-01-20 02:21:21 UTC) #22
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/8d425ee590b8902b18a095c865e23470d6a176d7
Cr-Commit-Position: refs/heads/master@{#370281}

Powered by Google App Engine
This is Rietveld 408576698